---
title: List Services
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Addressing](https://developers.cloudflare.com/api/go/resources/addressing)

[Services](https://developers.cloudflare.com/api/go/resources/addressing/subresources/services)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Services

client.Addressing.Services.List(ctx, query) (\*SinglePage\[[ServiceListResponse](<https://developers.cloudflare.com/api/go/resources/addressing#(resource)%20addressing.services%20%3E%20(model)%20ServiceListResponse%20%3E%20(schema)>)], error)

GET/accounts/{account\_id}/addressing/services

Bring-Your-Own IP (BYOIP) prefixes onboarded to Cloudflare must be bound to a service running on the Cloudflare network to enable a Cloudflare product on the IP addresses. This endpoint can be used as a reference of available services on the Cloudflare network, and their service IDs.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`IP Prefixes: Write``IP Prefixes: Read`

##### ParametersExpand Collapse

<details>

<summary>

query ServiceListParams

</summary>

AccountID param.Field\[string]

Identifier of a Cloudflare account.

maxLength32

<a href="#(resource)%20addressing.services%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

</details>

[Link to this property](<#(resource)%20addressing.services%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type ServiceListResponse struct{…}

</summary>

ID stringOptional

Identifier of a Service on the Cloudflare network. Available services and their IDs may be found in the **List Services** endpoint.

maxLength32

<a href="#(resource)%20addressing.services%20%3E%20(model)%20ServiceListResponse%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

Name stringOptional

Name of a service running on the Cloudflare network

<a href="#(resource)%20addressing.services%20%3E%20(model)%20ServiceListResponse%20%3E%20(schema)%20%3E%20(property)%20name">Link to this property</a>

</details>

[Link to this property](<#(resource)%20addressing.services%20%3E%20(model)%20ServiceListResponse%20%3E%20(schema)>)

### List Services

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/addressing"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.Addressing.Services.List(context.TODO(), addressing.ServiceListParams{
    AccountID: cloudflare.F("258def64c72dae45f3e4c8516e2111f2"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "2db684ee7ca04e159946fd05b99e1bcd",
      "name": "Magic Transit"
    }
  ]
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "2db684ee7ca04e159946fd05b99e1bcd",
      "name": "Magic Transit"
    }
  ]
}
```